Bug 6117 - [UPDATE REQUEST] opera -> opera-presto
: [UPDATE REQUEST] opera -> opera-presto
Status: RESOLVED DUPLICATE of bug 6131
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 03:24 MSD by Konstantin Vlasov
Modified: 2015-09-03 19:22 MSD (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2015-08-28 03:24:16 MSD
The opera package will be renamed to opera-presto.
Comment 1 Konstantin Vlasov 2015-08-28 03:33:40 MSD
opera-presto package:
https://abf.rosalinux.ru/build_lists/2559044
https://abf.rosalinux.ru/build_lists/2559045

opera package:
https://abf.rosalinux.ru/build_lists/2559046
https://abf.rosalinux.ru/build_lists/2559047

Advisory: The legacy Opera package renamed to opera-presto to avoid confusion with the new version of the browser (Blink engine).

What to test:
1) that opera-presto replaces opera;
2) that it correctly takes place of the former package, continues to use the same user profile, etc.

The "opera" package update is not mandatory for the test, but it contains the important versioning scheme change (release changed from 1 to 1.1). Its goal is to prevent the mass-build's autoincrement from making the version higher than 12.16-2 (this version number is taken by opera-presto and used for the Obsoletes rpm rule, required for correct package replacing).
Comment 2 Vladimir Potapov 2015-09-03 19:22:34 MSD

*** This bug has been marked as a duplicate of bug 6131 ***